<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>flaps.ac</path>

  <animation>
    <object-name>fond</object-name>
    <object-name>knob</object-name>
    <object-name>flapsUP</object-name>
    <object-name>flapsCENTER</object-name>
    <object-name>flapsDOWN</object-name>
    <object-name>texte</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>fond</object-name>
    <object-name>flapsUP</object-name>
    <object-name>flapsCENTER</object-name>
    <object-name>flapsDOWN</object-name>
    <object-name>texte</object-name>
  </animation>

  <animation>
    <type>material</type>
    <object-name>flapsUP</object-name>
    <object-name>flapsCENTER</object-name>
    <object-name>flapsDOWN</object-name>
    <object-name>texte</object-name>
    <condition>
      <property>/controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>/controls/lighting/instruments-norm</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

  <animation>
    <type>select</type>
    <object-name>flapsUP</object-name>
    <condition>
      <equals>
        <property>/surface-positions/flap-pos-norm</property>
        <value>0</value>
      </equals>
    </condition>
  </animation>

  <animation>
    <type>select</type>
    <object-name>flapsCENTER</object-name>
    <condition>
      <equals>
        <property>/surface-positions/flap-pos-norm</property>
        <value>0.5</value>
      </equals>
    </condition>
  </animation>

  <animation>
    <type>select</type>
    <object-name>flapsDOWN</object-name>
    <condition>
      <equals>
        <property>/surface-positions/flap-pos-norm</property>
        <value>1</value>
      </equals>
    </condition>
  </animation>

  <animation>
    <type>knob</type>
    <drag-direction>horizontal</drag-direction>
    <object-name>knob</object-name>
    <action>
      <binding>
        <command>property-adjust</command>
        <property>/controls/flight/flaps</property>
        <factor> 0.5 </factor>
        <min>0</min>
        <max>1</max>
      </binding>
    </action>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>knob</object-name>
    <property>/surface-positions/flap-pos-norm</property>
    <factor> -60 </factor>
    <center>
      <x-m>  0.00000 </x-m>
      <y-m> -0.01940 </y-m>
      <z-m>  0.00209 </z-m>
    </center>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

</PropertyList>
